Last Comment Bug 688422 - Memory usage increase detected in Mozmill Endurance tests 19-20 Sept 2011
: Memory usage increase detected in Mozmill Endurance tests 19-20 Sept 2011
Status: RESOLVED FIXED
[fromAutomation][MemShrink][mozmill-e...
: qawanted, regression
Product: Core
Classification: Components
Component: General (show other bugs)
: 9 Branch
: x86 All
: -- normal (vote)
: mozilla9
Assigned To: Brian Hackett (:bhackett)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-22 05:43 PDT by Mihaela Velimiroviciu (:mihaelav)
Modified: 2012-01-13 12:51 PST (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Mihaela Velimiroviciu (:mihaelav) 2011-09-22 05:43:33 PDT
Memory increases appear on Linux and Windows between Sept 19 and Sept 20:
- Windows: the difference is about 17 MB, from 69 MB to 86 MB
- Linux: the difference is about 28 MB, from 86 to 114 MB

On Linux, the previous values were about 88MB (or less) constantly.
On windows, the previous values were around 75 MB (but not that constant).

Reports 2011-09-19:
Win: http://mozmill-release.brasstacks.mozilla.com/#/endurance/report/10a26c9f0103d541c88ebfa5ccda0695
Linux: http://mozmill-release.brasstacks.mozilla.com/#/endurance/report/10a26c9f0103d541c88ebfa5ccda48ee

Reports 2011-09-20:
Win: http://mozmill-release.brasstacks.mozilla.com/#/endurance/report/df4c8750af577eceac3393a5eb0ba716
Linux: http://mozmill-release.brasstacks.mozilla.com/#/endurance/report/df4c8750af577eceac3393a5eb18436b

Changeset:
http://hg.mozilla.org/mozilla-central/rev/648d084ca28e
Comment 1 Dave Hunt (:davehunt) 2011-09-23 04:29:41 PDT
Pushlog between changesets:
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=5319b0100025&tochange=648d084ca28e
Comment 2 Brian Hackett (:bhackett) 2011-09-26 23:06:27 PDT
This should have been fixed by bug 688292, which fixed a memory usage spike in chrome-intensive workloads where jitcode was not getting released fast enough (a pseudo-leak).  Graphs 9/24 and later look similar to the 9/19 ones, e.g. Windows:

http://mozmill-release.brasstacks.mozilla.com/#/endurance/report/df4c8750af577eceac3393a5ebe65056
Comment 3 Dave Hunt (:davehunt) 2011-09-27 13:07:01 PDT
Confirmed memory usage has dropped back to pre-regression values from build 20110923030857.

Note You need to log in before you can comment on or make changes to this bug.